Name:           libtins
Version:        4.4
Release:        1%{?dist}
Summary:        High-level, C++ network packet sniffing and crafting library

License:        BSD
URL:            http://libtins.github.io
Source0:        https://github.com/mfontanini/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

# Submitted upstream as mfontanini/libtins#473
Patch0:         %{name}-4.4-cmake-install-dir.patch
# Submitted upstream as mfontanini/libtins#473
Patch1:         %{name}-4.4-system-gtest.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gtest-devel
BuildRequires:  libpcap-devel
BuildRequires:  make
BuildRequires:  openssl-devel

%description
libtins is a high-level, multiplatform C++ network packet sniffing and crafting
library.

Its main purpose is to provide the C++ developer an easy, efficient, platform
and endianess-independent way to create tools which need to send, receive and
manipulate specially crafted packets.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       libpcap-devel
Requires:       openssl-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package docs
Summary:        Development documentation for %{name}
BuildRequires:  doxygen
BuildArch:      noarch

%description docs
The %{name}-docs package contains HTML documentation for developing
applications that use %{name}.


%prep
%autosetup -p1


%build
%cmake -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib}
%cmake_build
%cmake_build --target docs tests


%install
%cmake_install


%check
%ctest


%files
%license LICENSE
%doc CHANGES.md README.md
%{_libdir}/%{name}.so.*

%files devel
%{_includedir}/tins/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/

%files docs
%license LICENSE
%doc %{__cmake_builddir}/docs/html


%changelog
* Wed May 04 2022 Scott K Logan <logans@cottsay.net> - 4.4-1
- Initial package
